package com.enteprise.industry_oveview.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.enteprise.industry_oveview.mapper.IndustryOverviewMapper;
import com.enteprise.industry_oveview.domain.IndustryOverview;
import com.enteprise.industry_oveview.service.IIndustryOverviewService;

/**
 * industry_oveviewService业务层处理
 * 
 * @author ruoyi
 * @date 2024-11-11
 */
@Service
public class IndustryOverviewServiceImpl implements IIndustryOverviewService 
{
    @Autowired
    private IndustryOverviewMapper industryOverviewMapper;

    /**
     * 查询industry_oveview
     * 
     * @param id industry_oveview主键
     * @return industry_oveview
     */
    @Override
    public IndustryOverview selectIndustryOverviewById(Long id)
    {
        return industryOverviewMapper.selectIndustryOverviewById(id);
    }

    /**
     * 查询industry_oveview列表
     * 
     * @param industryOverview industry_oveview
     * @return industry_oveview
     */
    @Override
    public List<IndustryOverview> selectIndustryOverviewList(IndustryOverview industryOverview)
    {
        return industryOverviewMapper.selectIndustryOverviewList(industryOverview);
    }

    /**
     * 新增industry_oveview
     * 
     * @param industryOverview industry_oveview
     * @return 结果
     */
    @Override
    public int insertIndustryOverview(IndustryOverview industryOverview)
    {
        return industryOverviewMapper.insertIndustryOverview(industryOverview);
    }

    /**
     * 修改industry_oveview
     * 
     * @param industryOverview industry_oveview
     * @return 结果
     */
    @Override
    public int updateIndustryOverview(IndustryOverview industryOverview)
    {
        return industryOverviewMapper.updateIndustryOverview(industryOverview);
    }

    /**
     * 批量删除industry_oveview
     * 
     * @param ids 需要删除的industry_oveview主键
     * @return 结果
     */
    @Override
    public int deleteIndustryOverviewByIds(Long[] ids)
    {
        return industryOverviewMapper.deleteIndustryOverviewByIds(ids);
    }

    /**
     * 删除industry_oveview信息
     * 
     * @param id industry_oveview主键
     * @return 结果
     */
    @Override
    public int deleteIndustryOverviewById(Long id)
    {
        return industryOverviewMapper.deleteIndustryOverviewById(id);
    }
}
